$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-0ad4e91001b72238a752aedb4456145b9df26f57/rpcs3-v0.0.10-10515-0ad4e910_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '2109eedcd40e2a0723772877e384b57027d1780488907bc392ec279fe375276f'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
